	MODULE myModule
	 INTEGER i1
	 REAL    f1
	END MODULE


	SUBROUTINE mySubr()
	 USE myModule
	 IMPLICIT NONE

	 i1 = 4444
	 f1 = 5555

	 RETURN
	END SUBROUTINE

! ================================================================

	PROGRAM myProgram
	 USE myModule
	 IMPLICIT NONE

	 interface
	   subroutine mySubr()
	   end subroutine
	 end interface

	 i1 = 1111
	 f1 = 1111

	 CALL mySubr

	 print *, "i1 = ", i1
	 print *, "f1 = ", f1

	END
	
